Skip to content

List Sync Checkpoints

GET
/v1/sync/checkpoints
curl --request GET \
--url https://example.com/v1/sync/checkpoints \
--header 'X-FractalOps-Tenant-Id: example'
connector_id
Any of:
string
x-api-key
Any of:
string
X-FractalOps-Tenant-Id
required
X-Fractalops-Tenant-Id
string

Successful Response

Media typeapplication/json
SyncCheckpointListOut
object
items
Items
Array<object>
SyncCheckpointOut
object
tenant_id
required
Tenant Id
string
id
required
Id
string
connector_id
required
Connector Id
string
scope
required
Scope
string
cursor_value
required
Cursor Value
string
meta
required
Meta
object
key
additional properties
any
Examplegenerated
{
"items": [
{
"tenant_id": "example",
"id": "example",
"connector_id": "example",
"scope": "example",
"cursor_value": "example",
"meta": {}
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}